## org.jdesktop.animation.timing.triggers
Class TimingTriggerEvent

    java.lang.Object
      org.jdesktop.animation.timing.triggers.TriggerEvent
          org.jdesktop.animation.timing.triggers.TimingTriggerEvent

    public class TimingTriggerEvent

extends TriggerEvent

Timing events; TimingTriggers can be set to fire when an animator starts, stops, or repeats.

Field Summary
`static TimingTriggerEvent` `REPEAT` Event fired when Animator finishes one cycle and starts another
`static TimingTriggerEvent` `START` Event fired when Animator starts
`static TimingTriggerEvent` `STOP` Event fired when Animator stops

Method Summary
`TriggerEvent` `getOppositeEvent()` This method finds the opposite of the current event.: START -> STOP and STOP -> START.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START

    public static final TimingTriggerEvent START

  Event fired when Animator starts

### STOP

    public static final TimingTriggerEvent STOP

  Event fired when Animator stops

### REPEAT

    public static final TimingTriggerEvent REPEAT

  Event fired when Animator finishes one cycle and starts another

Method Detail

### getOppositeEvent

    public TriggerEvent getOppositeEvent()

  This method finds the opposite of the current event.: START -> STOP and STOP -> START. Note that REPEAT has no obvious opposite so it simply returns REPEAT (this method should probably not be called for that case).

  Overrides:
    `getOppositeEvent` in class `TriggerEvent`